package com.mx.dla.dda.contrato.generales;

import org.junit.Assert;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import com.mx.dla.dda.common.test.BaseDaoTest;
import com.mx.dla.dda.contrato.generales.daos.PoblarGeneralesDAO;
import com.mx.dla.dda.contrato.generales.dtos.NumeroTitulosTransDTO;

public class PoblarGeneralesDAOTest extends BaseDaoTest{
	
	@Autowired
	private PoblarGeneralesDAO poblarGeneralesDAO;
	
	@Test(enabled = false)
	public void numeroTitulosContratoLTTest(){
		logger.info("numero de titulos [{}]", poblarGeneralesDAO.numeroTitulosEnContratoTL(21L));
	}
	
	@Test(enabled = false)
	public void numeroTitulosContratoTransTest(){
		
		NumeroTitulosTransDTO noTituloTrans = poblarGeneralesDAO.numeroTitulosEnContratoTrans(21L);
		
		Assert.assertNotNull(noTituloTrans);
		
		logger.info("numero de titulos [{}]", noTituloTrans);
	}

}
